Bug 478786

Summary: urw fonts not working
Product: [Fedora] Fedora Reporter: Rick Richardson <rickrich>
Component: urw-fontsAssignee: Ngo Than <than>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 17CC: alford, bugzilla, fonts-bugs, hdegoede, kasal, pertusus, susi.lehtola, than
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-06 17:56:12 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
matchbox.fig none

Description Rick Richardson 2009-01-04 20:15:50 EST
Created attachment 328166 [details]
matchbox.fig

Using xfig-3.2.5-10.fc9.i386

$ xfig matchbox.fig
Can't find -urw-nimbus roman no9 l-medium-r-normal--8-*-*-*-*-*-ISO8859-*, using
6x13

Fix:

# cd /usr/share/fonts/default/Type1
# mkfontdir > fonts.dir
# mkfontscale > fonts.scale
# mkfontdir > fonts.dir  # Do it twice!
# xset fp rehash

$ xfig matchbox.fig

No problem !!!!
Comment 1 Hans de Goede 2009-01-05 04:02:05 EST
This is not an xfig problem then, but an urw-fonts problem, and one which I believe is already fixed, but I'll leave judging that to the urw-fonts maintainer. Changing component and re-assigning.
Comment 2 Bug Zapper 2009-06-09 23:28:13 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 12:38:25 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Susi Lehtola 2012-10-31 11:07:19 EDT
*** Bug 871860 has been marked as a duplicate of this bug. ***
Comment 5 Susi Lehtola 2012-10-31 11:08:16 EDT
I have the same issue on F17.
Comment 6 Susi Lehtola 2012-10-31 11:13:16 EDT
(In reply to comment #5)
> I have the same issue on F17.

.. and the fix in the description solved the issue for me, but this should be fixed in the package.
Comment 7 Mark Alford 2012-12-03 15:36:04 EST
Yes, I have the same problem in Fedora 17. It stopped me from using xfig to produce diagrams, because xfig uses urw nimbus roman no9 as its "Times Roman" font.
Comment 8 Chris Schanzle 2013-02-25 18:45:13 EST
google search led me here too.  I'm on RHEL/CentOS 6 and things are remarkably similar to Fedora 17.  First, the 'quick fix' - it is only necessary to run (as root):

mkfontscale /usr/share/fonts/default/Type1
mkfontdir   /usr/share/fonts/default/Type1

[and 'xset fp rehash' as the current user if you want the currently-running font server to pick up changes.]

I think urw-fonts is missing one or more Requires, because the postinstall scriptlet seems to be doing the right thing, but it's not being done (fonts.dir, fonts.scale are not created).  Reinstalling the urw-fonts package also 'fixes' the problem:

# rm /usr/share/fonts/default/Type1/fonts.{scale,dir}
# date
Mon Feb 25 18:24:42 EST 2013
# yum -d 0 -y reinstall urw-fonts
# # 
# ls -l /usr/share/fonts/default/Type1/fonts.{scale,dir}
-rw-r--r-- 1 root root 31050 Feb 25 18:24 /usr/share/fonts/default/Type1/fonts.dir
-rw-r--r-- 1 root root 31050 Feb 25 18:24 /usr/share/fonts/default/Type1/fonts.scale


Below shows both utilities come from xorg-x11-font-utils:
  rpm -qf `which mkfontdir` `which mkfontscale`

I'm not an expert, but perhaps add to the spec:
  Requires: xorg-x11-font-utils

My installation logs also show urw-fonts being installed before xorg-x11-font-utils.  That shouldn't happen!  :-)

Thanks!
Comment 9 Susi Lehtola 2013-02-26 07:23:49 EST
Indeed - it's clear that the post phase should require xorg-x11-font-utils, so I went ahead and used my provenpackager privileges to fix this, since the bug has been open for more than four years(!).
Comment 10 Fedora Update System 2013-02-26 07:50:44 EST
urw-fonts-2.4-14.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/urw-fonts-2.4-14.fc18
Comment 11 Fedora Update System 2013-02-26 07:50:55 EST
urw-fonts-2.4-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/urw-fonts-2.4-14.fc17
Comment 12 Fedora Update System 2013-02-26 21:27:00 EST
Package urw-fonts-2.4-14.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing urw-fonts-2.4-14.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3084/urw-fonts-2.4-14.fc17
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2013-03-06 17:56:14 EST
urw-fonts-2.4-14.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-03-06 18:04:25 EST
urw-fonts-2.4-14.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Chris Schanzle 2013-03-06 22:47:13 EST
Thanks!  If someone could clone this as a RHEL 5 & 6 bug, it would make for a slightly better place to compute in.  :-)